Bug 612465 - No prototypes generated with reentrant
Summary: No prototypes generated with reentrant
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: flex   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Petr Machata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-08 09:59 UTC by Akira TAGOH
Modified: 2015-05-05 01:35 UTC (History)
2 users (show)

Fixed In Version: flex-2.5.35-11.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 02:39:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Akira TAGOH 2010-07-08 09:59:57 UTC
Description of problem:
Generating a reentrant scanner causes a compiler error for no prototype of yyget_column and yyset_column.

Version-Release number of selected component (if applicable):
flex-2.5.35-9.fc13

How reproducible:
always

Steps to Reproduce:
1.echo -e "%{\n#define YY_NO_INPUT\n%}\n%%\n[0-9]+ /**/\n%%\nint main(){return 0;}"|flex --reentrant -t --nounput --noyywrap | gcc -Werror -Wall -Wmissing-prototypes -xc -
  
Actual results:
cc1: warnings being treated as errors
<stdout>:1569: error: no previous prototype for ‘yyget_column’
<stdout>:1645: error: no previous prototype for ‘yyset_column’

Expected results:
No errors.

Additional info:

Comment 1 Petr Machata 2010-07-13 15:50:04 UTC
Filed upstream as:
https://sourceforge.net/tracker/?func=detail&aid=3029024&group_id=97492&atid=618177

Patch attached there, will add to Fedora momentarily.

Comment 2 Fedora Update System 2010-07-13 16:13:49 UTC
flex-2.5.35-10.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/flex-2.5.35-10.fc13

Comment 3 Fedora Update System 2010-07-13 20:39:21 UTC
flex-2.5.35-10.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update flex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/flex-2.5.35-10.fc13

Comment 4 Akira TAGOH 2010-07-14 02:35:16 UTC
The updated package doesn't fix the issue yet. I can still see same issue with the above package.

Comment 5 Fedora Update System 2010-07-14 11:48:41 UTC
flex-2.5.35-11.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/flex-2.5.35-11.fc13

Comment 6 Petr Machata 2010-07-14 11:49:59 UTC
Should work now.  I forgot that changes done to flex.skl won't propagate to skel.c on initial build.

Comment 7 Fedora Update System 2010-07-14 23:05:00 UTC
flex-2.5.35-11.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update flex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/flex-2.5.35-11.fc13

Comment 8 Fedora Update System 2010-07-27 02:38:56 UTC
flex-2.5.35-11.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.